#include ecos:shaders/pass/header.glsl
#include ecos:shaders/lib/tonemap.glsl

uniform sampler2D main_color;
uniform sampler2D main_depth;
uniform sampler2D composite_result;
uniform sampler2D bloom;

in vec2 texcoord;
out vec4 fragColor;

void main()
{
  vec4 color = texture(main_color, texcoord);

  fragColor = max(
    getBloom(color.rgb, texture(bloom, texcoord).r) * color,
    vec4(texture(composite_result, texcoord).a * texture(main_depth, texcoord).r));
}